#!/bin/sh

if [ "$1" = "--help" ] || [ $# -gt 3 ] ; then
    echo "usage: start.sh"
    echo "usage: start.sh [port]"
    echo "usage: start.sh [port] [context path]"
    echo "usage: start.sh [port] [context path] [classpath]"
    exit;
fi

if [ $# -eq 3 ] ; then
    # shellcheck disable=SC2154
    java "-Dhazelcast.mc.http.port=$1" "-Dhazelcast.mc.contextPath=$2" \
    -cp "hazelcast-management-center-4.0.1.war:$3" com.hazelcast.webmonitor.Launcher
elif [ $# -eq 2 ] ; then
    java "-Dhazelcast.mc.http.port=$1" "-Dhazelcast.mc.contextPath=$2" \
    -cp "hazelcast-management-center-4.0.1".war com.hazelcast.webmonitor.Launcher
elif [ $# -eq 1 ] ; then
    java "-Dhazelcast.mc.http.port=$1" -cp "hazelcast-management-center-4.0.1".war \
    com.hazelcast.webmonitor.Launcher
else
    java -cp "hazelcast-management-center-4.0.1".war com.hazelcast.webmonitor.Launcher
fi
